c  Adventure!--Array Dumper from SAVE
c   Modified for PC FORTRAN Paul Munoz-Colman, FunStuff Software
c  23 March 1993  MS DOS PDS FORTRAN v5.10
c  9 August 1985  with suspend and resume feature--2-byte storage
c
$nodebug
$notstrict
$storage: 2
c
      implicit integer*2 (a-z)
c
      character*2 lines (21150)
      character*4 wd1,wd2,iz,bl,atab(295),wd1x,wd2x
      character*1 tk(20)
c
      integer*2 ktab(295),rtext(205),atloc(150)
      integer*2 ltext(150),stext(150),key(150),cond(150),abb(150)
      integer*2 plac(100),place(100),fixd(100),fixed(100),link(200)
      integer*2 actspk(35),ptext(100),prop(100),ctext(12),cval(12)
      integer*2 hintlc(20),hinted(20),hints(20,4),dseen(6),dloc(6)
      integer*2 idondx,odloc(6)
      integer*4 travel(745),itk(20),newloc,linuse,kk,linsiz,ran
      integer*4 iwd2,ll,izz
c
      equivalence(iwd2,wd2),(izz,iz)
c
      external ran
c
      data linsiz/21150/,trvsiz/745/,locsiz/150/,izz/0/,
     .        vrbsiz/35/,rtxsiz/205/,clsmax/12/,hntsiz/20/
      data bl/'    '/
c
      open (2,file='adventur.sv',form='unformatted')
c
	read  (2) place,prop,link,abb,cond,atloc,fixd,plac,hinted,
     .   hintlc,dseen,dloc,odloc,fixed,hints,tally,tally2,dflag,turns,
     .   limit,iwest,knfloc,detail,abbnum,maxdie,numdie,holdng,dkill,
     .   foobar,bonus,lmwarn,clock1,clock2,panic,closed,obj,verb,newloc
     .  ,loc,dtotal,attack,stick,itk,idondx,kk,oldlc2,oldloc,wzdark,
     .  closng
	close (2)
c
	write (*,1) abb
 1	format (//,(1x,10i8))
 2	format (//,(1x,5i16))
	write (*,1) abbnum
	write (*,1) atloc
	write (*,1) attack
	write (*,1) bonus
	write (*,1) clock1
	write (*,1) clock2
	write (*,1) closed
	write (*,1) closng
	write (*,1) cond
	write (*,1) detail
	write (*,1) dflag
	write (*,1) dkill
	write (*,1) dloc
	write (*,1) dseen
	write (*,1) dtotal
	write (*,1) fixd
	write (*,1) fixed
	write (*,1) foobar
	write (*,1) hinted
	write (*,1) hintlc
	write (*,1) hints
	write (*,1) holdng
	write (*,1) idondx
	write (*,2) itk
	write (*,1) iwest
	write (*,2) kk
	write (*,1) knfloc
	write (*,1) limit
	write (*,1) link
	write (*,1) lmwarn
	write (*,1) loc
	write (*,1) maxdie
	write (*,2) newloc
	write (*,1) numdie
	write (*,1) obj
	write (*,1) odloc
	write (*,1) oldlc2
	write (*,1) oldloc
	write (*,1) panic
	write (*,1) plac
	write (*,1) place
	write (*,1) prop
	write (*,1) stick
	write (*,1) tally
	write (*,1) tally2
	write (*,1) turns
	write (*,1) verb
	write (*,1) wzdark
c
	end
